"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getErrorHandlerMiddleware = void 0;
var http_status_codes_1 = require("http-status-codes");
;
;
exports.getErrorHandlerMiddleware = function (log) {
    return function (err, req, res, 
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    next) {
        log(req.method + " request to " + req.originalUrl + "  has failed with error: " + err.message);
        if (err.statusCode) {
            res.status(err.statusCode).json({ message: err.message });
            return;
        }
        if (process.env.NODE_ENV === 'production') {
            res.status(http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR).json({ message: http_status_codes_1.getReasonPhrase(http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR) });
            return;
        }
        res.status(http_status_codes_1.StatusCodes.INTERNAL_SERVER_ERROR).json({ message: err.message });
    };
};
//# sourceMappingURL=index.js.map